# Copyright (C) 2010, Walter Bender, Sugar Labs
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
#
from gettext import gettext as _
from os import system, path
import gconf

_CAPACITIVE = 0
_RESISTIVE = 1
_flag_path = '/home/olpc/.olpc-pentablet-mode'
_node_path = '/sys/devices/platform/i8042/serio1/ptmode'

def get_touchpad():
    """Get the touchpad mode."""

    _file_handle = open(_node_path, "r")
    _text = _file_handle.read()
    _file_handle.close()

    if _text[0] == '1':
        return _RESISTIVE
    else:
        return _CAPACITIVE

def set_touchpad(touchpad):
    """Set the touchpad mode."""
    if touchpad == _CAPACITIVE:
        system("rm %s" % (_flag_path))
        system("echo 0 > %s" % (_node_path))
    else:
        system("touch %s" % (_flag_path))
        system("echo 1 > %s" % (_node_path))
    return

def print_touchpad():
    """Print the future touchpad mode."""
    if get_touchpad == _CAPACITIVE:
        print _('Touchpad set to finger mode.')
    else:
        print _('Touchpad set to stylus mode.')

def get_color_xo():
    """Get xo color"""
    client = gconf.client_get_default()
    return client.get_string("/desktop/sugar/user/color")

